Package it.ernytech.tdlib

## Class TdApi.UpdateBasicGroup

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Update
    - - it.ernytech.tdlib.TdApi.UpdateBasicGroup

Enclosing class:
  TdApi

    public static class TdApi.UpdateBasicGroup
    extends TdApi.Update

Some data of a basic group has changed. This update is guaranteed to come before the basic group identifier is returned to the client.

### Field Summary

Fields
`TdApi.BasicGroup` `basicGroup` New data about the group.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.

### Constructor Summary

Constructors
`UpdateBasicGroup()` Default constructor.
`UpdateBasicGroup​(TdApi.BasicGroup basicGroup)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### basicGroup

    public TdApi.BasicGroup basicGroup

New data about the group.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UpdateBasicGroup

    public UpdateBasicGroup()

Default constructor.

#### UpdateBasicGroup

    public UpdateBasicGroup​(TdApi.BasicGroup basicGroup)

Constructor for initialization of all fields.

Parameters:
  `basicGroup` - New data about the group.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR